> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nmbr.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an overtime rate



## OpenAPI

````yaml /spec/openapi.json put /overtime_rates/{overtime_rate}
openapi: 3.0.0
info:
  title: Nmbr API
  description: API to interact with Nmbr Payroll
  version: 1.0.0
servers:
  - url: https://sandbox.nmbr.co/services/payroll
security:
  - CompanyToken: []
tags:
  - name: Accounting Codes
  - name: Accounting Code Rules
  - name: Adjustments
  - name: Allowances
  - name: Allowance Line Items
  - name: Allowance Types
  - name: Async Tasks
  - name: Bank Accounts
  - name: Business Entities
  - name: Business Entity Verifications
  - name: Business Entity ROE Authorizations
  - name: Business Presets
  - name: Calculations
  - name: Companies
  - name: Contractors
  - name: Deductions
  - name: Deduction Line Items
  - name: Deduction Types
  - name: Earnings
  - name: Earning Line Items
  - name: Earning Types
  - name: Effective Tax Properties
  - name: Employees
  - name: Employee Benefits
  - name: Employee Benefit Line Items
  - name: Employee Benefit Types
  - name: Employer Benefits
  - name: Employer Benefit Line Items
  - name: Employer Benefit Types
  - name: Employer Statutory Withholding Line Items
  - name: Employer Statutory Withholding Types
  - name: Forms
  - name: Form Batches
  - name: Form Types
  - name: Holidays
  - name: Integrations
  - name: Journal Entries
  - name: Overtime Rates
  - name: Partners
  - name: Pay Rates
  - name: Pay Schedules
  - name: Pay Splits
  - name: Pay Stubs
  - name: Payments
  - name: Payrolls
  - name: Reimbursements
  - name: Reimbursement Line Items
  - name: Reimbursement Types
  - name: Remittance Accounts
  - name: Remittance Account Enrollments
  - name: Reports
  - name: Statutory Withholding Line Items
  - name: Statutory Withholding Types
  - name: Tags
  - name: Tag Groups
  - name: Tax Properties
  - name: Tax Property Templates
  - name: Tokens
  - name: Usage Records
  - name: Usage Summaries
  - name: Vacation Pay
  - name: Vacation Pay Settings
  - name: Webhooks
  - name: Work Assignments
paths:
  /overtime_rates/{overtime_rate}:
    put:
      tags:
        - Overtime Rates
      summary: Update an overtime rate
      operationId: overtime-rates-update
      parameters:
        - name: overtime_rate
          in: path
          schema:
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                rate_multiplier:
                  type: number
                  description: |-
                    The multiplier for this overtime, e.g `1.5` or `2`.

                    Editing is prevented when `is_editable` is false
                  format: decimal
                  minimum: 0
                  maximum: 100
                hourly_rate_override:
                  type: number
                  description: >-
                    If set, this amount is used for the hourly rate, not the
                    calculated amount from the `rate_multiplier`.


                    Editing is prevented when `is_editable` is false
                  format: decimal
                  minimum: 0
                  maximum: 99999
                business_preset_id:
                  type: string
                expense_accounting_code_id:
                  type: string
                liability_accounting_code_id:
                  type: string
                archived_at:
                  type: string
                  format: date
                external_ref:
                  type: string
                  maxLength: 255
                tag_assignment:
                  type: object
                  properties:
                    unit:
                      type: string
                      enum:
                        - percentage
                    is_component_locked:
                      type: boolean
                    tag_allocations:
                      type: array
                      items:
                        type: object
                        properties:
                          tags:
                            type: array
                            items:
                              type: string
                          value:
                            type: number
                            format: decimal
                            minimum: 0
            example:
              rate_multiplier: 1.5
              hourly_rate_override: 23
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: The unique identifier of the object in Nmbr.
                    readOnly: true
                  object:
                    type: string
                    description: The type of the object in Nmbr (`"overtime_rate"`).
                    readOnly: true
                  data:
                    $ref: '#/components/schemas/OvertimeRate'
              example:
                id: <id>
                object: overtime_rate
                data:
                  pay_rate:
                    id: <id>
                    object: pay_rate
                    links:
                      self: /pay_rates/<id>
                  title: $23
                  title_translated: $23
                  rate_multiplier: 1.5
                  hourly_rate: 22.5
                  hourly_rate_override: 23
                  business_preset: null
                  expense_accounting_code: null
                  liability_accounting_code: null
                  archived_at: null
                  is_editable: true
                  is_deletable: true
                  external_ref: null
                  created_at: '2026-01-01T00:00:00.000000Z'
                  updated_at: '2026-01-01T00:00:00.000000Z'
                links:
                  self: /overtime_rates/<id>
components:
  schemas:
    OvertimeRate:
      type: object
      title: Overtime Rate
      properties:
        pay_rate:
          type: object
          properties:
            id:
              type: string
              description: The unique identifier of the object in Nmbr.
              readOnly: true
            object:
              type: string
              description: The type of the object in Nmbr (`"pay_rate"`).
              readOnly: true
        title:
          type: string
          nullable: true
        title_translated:
          type: string
          description: >-
            The translation of the `title` property for the request locale.
            Computed using the values in `title` and `title_translations` and
            the value of the request's `Accept-Language` header.
          readOnly: true
        rate_multiplier:
          type: number
          nullable: true
          format: decimal
        hourly_rate:
          type: number
          nullable: true
          format: decimal
        hourly_rate_override:
          type: number
          nullable: true
          format: decimal
        business_preset: {}
        expense_accounting_code: {}
        liability_accounting_code: {}
        archived_at:
          type: string
          description: The date and time the object was archived in Nmbr.
          readOnly: true
          nullable: true
          format: dateTime
        is_editable:
          type: boolean
          description: >-
            After a PayRate is on a non-draft payroll, its Type and Rate may not
            be updated.
        is_deletable:
          type: boolean
          description: After a PayRate is on a non-draft payroll, it may not be deleted.
        external_ref:
          type: string
          description: >-
            A reference to the object in an external system, e.g. the primary
            key of the object in your application's database. Nmbr doesn't use,
            validate, parse, or require this value to be unique - it simply
            stores it for your reference.
          nullable: true
          maxLength: 255
        created_at:
          type: string
          description: The date and time the object was created in Nmbr.
          readOnly: true
          format: dateTime
        updated_at:
          type: string
          description: The date and time the object was last updated in Nmbr.
          readOnly: true
          format: dateTime
  securitySchemes:
    CompanyToken:
      type: http
      scheme: bearer

````